Bug 1799202 - bwa: FTBFS in Fedora rawhide/f32 [NEEDINFO]
Summary: bwa: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bwa
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 16:10 UTC by Fedora Release Engineering
Modified: 2020-04-25 02:24 UTC (History)
2 users (show)

Fixed In Version: bwa-0.7.17-1.fc33.src.rpm bwa-0.7.17-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-25 02:24:53 UTC
Type: ---
releng: needinfo? (bloch)


Attachments (Terms of Use)
build.log (21.01 KB, text/plain)
2020-02-06 16:10 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2020-02-06 16:10 UTC, Fedora Release Engineering
no flags Details
state.log (960 bytes, text/plain)
2020-02-06 16:10 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2020-02-06 16:10:40 UTC
bwa failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41316056


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix bwa at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
bwa will be orphaned. Before branching of Fedora 33,
bwa will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 16:10:43 UTC
Created attachment 1658541 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 16:10:44 UTC
Created attachment 1658542 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 16:10:46 UTC
Created attachment 1658543 [details]
state.log

Comment 4 Ben Cotton 2020-02-11 17:14:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 5 Fedora Release Engineering 2020-02-16 04:32:59 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 6 Fedora Release Engineering 2020-03-01 04:24:58 UTC
Dear Maintainer,

your package has not been built successfully in 32. Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. Following the latest policy for such packages [2], your package
will be orphaned if this bug remains in NEW state more than 8 weeks.

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedoraproject.org/wiki/Releases/33/Schedule

Comment 7 Fedora Release Engineering 2020-03-08 04:25:14 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 32.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

A week before the mass branching of Fedora 33 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 31 will be
retired regardless of the status of this bug.

[1] https://fedoraproject.org/wiki/Updates_Policy
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-33/f-33-key-tasks.html

Comment 8 Jun Aruga 2020-03-22 20:52:05 UTC
Seeing the bwa Koschei log.
https://koschei.fedoraproject.org/package/bwa

The build failure started after gcc version was upgraded from 9 to 10.

I reported the issue to the upstream here.
https://github.com/lh3/bwa/issues/275

Comment 9 Jun Aruga 2020-03-22 22:18:31 UTC
I sent PR to Fedora bwa repository here.
https://src.fedoraproject.org/rpms/bwa/pull-request/1

Comment 10 Jun Aruga 2020-03-25 18:56:48 UTC
Note 1:

I assigned myself, because of following context. But feel free to take it to assign yourself when you work for this issue.

> Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (that's on 2020-04-02).

You need to build bwa to f32 too, as the build is failed too.
https://koji.fedoraproject.org/koji/packageinfo?packageID=10451


Note 2:

I created "biology" group in Koschei to manage biology, bioinformatics packages. bwa is included in the list.
https://koschei.fedoraproject.org/groups/biology

It is linked from following Fedora Medical SIG page.
https://fedoraproject.org/wiki/SIGs/Medical

Comment 11 Jun Aruga 2020-04-16 05:14:10 UTC
> I sent PR to Fedora bwa repository here.
> https://src.fedoraproject.org/rpms/bwa/pull-request/1

As I am not sure that my pull-request will be merged, or I can have a permission for that, I will remove my assignment changing the status to NEW again. Maybe it's better.

Comment 12 Jun Aruga 2020-04-16 19:53:13 UTC
As I got the permission for the repository, I assign myself again to prevent bwa to be orphaned.
Thanks, Adam!

Comment 13 Fedora Update System 2020-04-16 20:57:32 UTC
FEDORA-2020-ee194c5ad2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee194c5ad2

Comment 14 Fedora Update System 2020-04-17 22:06:41 UTC
FEDORA-2020-ee194c5ad2 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ee194c5ad2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ee194c5ad2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-04-25 02:24:53 UTC
FEDORA-2020-ee194c5ad2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.